Package org.freeplane.api

# Enum Class BookmarkType

java.lang.Object
java.lang.Enum<BookmarkType>
org.freeplane.api.BookmarkType

All Implemented Interfaces:
  `Serializable`, `Comparable<BookmarkType>`, `Constable`

public enum BookmarkType extends Enum<BookmarkType>
Defines the behavior of a bookmark when activated.

Since:
  1.12.12

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ROOT`
When activated, the bookmarked node becomes the root of the view, showing only this node and its descendants.
`SELECT`
When activated, the bookmarked node is selected and the view scrolls to make it visible, but the map's root remains unchanged.

## Method Summary

Modifier and Type
Method
Description
`static BookmarkType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BookmarkType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROOT

public static final BookmarkType ROOT
When activated, the bookmarked node becomes the root of the view, showing only this node and its descendants.

### SELECT

public static final BookmarkType SELECT
When activated, the bookmarked node is selected and the view scrolls to make it visible, but the map's root remains unchanged.

## Method Details

### values

public static BookmarkType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BookmarkType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null